/***************************************************************************
                          ApollonSharedViewTab.h  -  description
                             -------------------
begin		: June 05 2003
copyright	: (C) 2003 Martin Koebele
email		: apollon@mkoebele.de
description	: 

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef APOLLONSHAREDVIEW_H
#define APOLLONSHAREDVIEW_H

#include <qvbox.h>
#include <qhbox.h>

class QLabel;
class QString;

#include <kfiletreeview.h> 
#include <kparts/part.h>
#include <kimagefilepreview.h>
#include <kfilepreview.h>

#include "apollonsharedviewitem.h"
#include "apollontab.h"

class KPopupMenu;
class QStringList;

class ApollonPlayerTab;

class ApollonImageFilePreview : public KImageFilePreview
{
public:
	ApollonImageFilePreview(QWidget* parent);

	QSize sizeHint() const;
	QSize minimumSizeHint() const;
	QSize minimumSize() const;
};

class ApollonSharedViewTab : public ApollonTab//QVBox
{
  Q_OBJECT
    public:
       ApollonSharedViewTab(QWidget* parent, QString text );
       ~ApollonSharedViewTab();

       inline void setPlayerTab(ApollonPlayerTab *playerTab);

    private:
       QLabel* iconlabel;
       QLabel* label;
      
       KPopupMenu* popupmenu;
       KPopupMenu* moveToPopup;
       KFileTreeViewItem* currentItem;
       ApollonPlayerTab *m_playerTab;
       int m_id;
       ApollonImageFilePreview* kpv;



 protected:
       KFileTreeView* listView;

 public slots:
   void itemDoubleClicked(QListViewItem *,const QPoint &, int);
   void addFolder( QString );
   void sltPopUp(QListViewItem*, const QPoint&, int);
   void sltPlay();
   void sltPlayXMMS();
   void sltPlayJuK();
   void sltDelete();
   void sltStartRename();
    
   private slots:
     void play(QListViewItem*);
     void sltRename(QListViewItem*, int);
     void sltMoveTo(int);
     void sltPreview(QListViewItem*);
};

void ApollonSharedViewTab::setPlayerTab(ApollonPlayerTab *playerTab)
{
	m_playerTab = playerTab;
}

#endif
